Delete a card
DELETE
/v1/cards/{cardId}Authorization
AuthorizationBearer token (OAuth access token or teakapi_ API key) · headerrequiredBearer token. Accepts either an OAuth 2.0 access token (obtained via browser sign-in; expires after 1 hour and is refreshable) or a teakapi_ API key.
Path parameters
cardIdstringrequiredQuery parameters
permanentbooleanPermanently remove a card that is already in Trash, and its files, when true; otherwise move the card to Trash.
Responses
204
Card deleted
404
Card not found
409
NOT_IN_TRASH: permanent deletes need the card in Trash first